GNU logs - #6295, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#6295: GUD not responding when breakpoint inside try/catch
Resent-From: Marc Ferland <marc@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 28 May 2010 17:13:02 +0000
Resent-Message-ID: <handler.6295.B.127506677132090 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 6295
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 6295 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.127506677132090
          (code B ref -1); Fri, 28 May 2010 17:13:02 +0000
Received: (at submit) by debbugs.gnu.org; 28 May 2010 17:12:51 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OI373-0008LX-R2
	for submit <at> debbugs.gnu.org; Fri, 28 May 2010 13:12:51 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <marc@HIDDEN>) id 1OI2wK-0008Gy-Ax
	for submit <at> debbugs.gnu.org; Fri, 28 May 2010 13:01:45 -0400
Received: from lists.gnu.org ([199.232.76.165]:42209)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <marc@HIDDEN>) id 1OI2wF-0005V2-Nk
	for submit <at> debbugs.gnu.org; Fri, 28 May 2010 13:01:39 -0400
Received: from [140.186.70.92] (port=34272 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OI2wE-0002Wc-G4
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 13:01:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <marc@HIDDEN>) id 1OI2wC-00023h-TC
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 13:01:37 -0400
Received: from oproxy2-pub.bluehost.com ([67.222.39.60]:40796
	helo=outbound-mail-360.bluehost.com)
	by eggs.gnu.org with smtp (Exim 4.69)
	(envelope-from <marc@HIDDEN>) id 1OI2wC-00022X-HP
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 13:01:36 -0400
Received: (qmail 19190 invoked by uid 0); 28 May 2010 17:01:34 -0000
Received: from unknown (HELO box660.bluehost.com) (66.147.244.160)
	by oproxy2.bluehost.com with SMTP; 28 May 2010 17:01:34 -0000
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=default; d=mferland.net;
	h=Received:Date:Message-ID:From:To:Subject:User-Agent:MIME-Version:Content-Type:X-Identified-User;
	b=GDzIBgM5HAo3Cu/5mKdl1w+TI2gbonMywED5Z8bBLo8/8TC6mjS68TyoFIyVvq75RPG+pamUbSuWJAcMnPmpqrbMxKGbJ+701OhXzDRJKX5T/AGY5omzjakWXZNeQdmE;
Received: from c75.152.91-94.clta.globetrotter.net ([75.152.91.94]
	helo=mfedesk.Sonatest.net.mferland.net)
	by box660.bluehost.com with esmtpsa (TLSv1:AES256-SHA:256)
	(Exim 4.69) (envelope-from <marc@HIDDEN>) id 1OI2wA-0000Wg-9S
	for bug-gnu-emacs@HIDDEN; Fri, 28 May 2010 11:01:34 -0600
Date: Fri, 28 May 2010 12:58:33 -0400
Message-ID: <86ocg09d52.wl%marc@HIDDEN>
From: Marc Ferland <marc@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.9
	=?UTF-8?Q?(Goj=C5=8D)?= APEL/10.7 Emacs/23.1 (x86_64-pc-linux-gnu)
	MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Identified-User: {1807:box660.bluehost.com:mferland:mferland.net}
	{sentby:smtp auth 75.152.91.94 authed with marc@HIDDEN}
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Mailman-Approved-At: Fri, 28 May 2010 13:12:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hi,

I hope this is the right mailing list for posting this.

I am currently running: GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+
Version 2.18.3) of 2010-03-26 on crested, modified by Debian.

When debugging my C++ application, if I set a breakpoint inside a
try/catch clause, GUD prints the following error message when hitting
the breakpoint:

error in process filter: gdb-stack-list-locals-handler: Stack overflow in regexp matcher
error in process filter: Stack overflow in regexp matcher

After this point, GUD doesn't responds to commands (i.e.: C-c,
gud-next, etc.) and I am forced to restart everything by killing gdb
and my application.

Setting a breakpoint outside try/catch clauses causes no trouble at
all. Running gdb from the shell and setting breakpoints inside
try/catch also works correctly.

$ gdb --version
GNU gdb (GDB) 7.0-ubuntu

$ g++ --version
g++ (Ubuntu 4.4.1-4ubuntu9) 4.4.1

Regards,

Marc




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Marc Ferland <marc@HIDDEN>
Subject: bug#6295: Acknowledgement (GUD not responding when breakpoint
 inside try/catch)
Message-ID: <handler.6295.B.127506677132090.ack <at> debbugs.gnu.org>
References: <86ocg09d52.wl%marc@HIDDEN>
X-Gnu-PR-Message: ack 6295
X-Gnu-PR-Package: emacs
Reply-To: 6295 <at> debbugs.gnu.org
Date: Fri, 28 May 2010 17:13:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 6295 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
6295: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D6295
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems



Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.